<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwCaV: fwCaV.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwCaV
   &#160;<span id="projectnumber">8.4.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('fwCaV_8ctl.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">fwCaV.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="memitem:a7b387e44d56c64083be47eff19ea6453"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a7b387e44d56c64083be47eff19ea6453">fwCaV_genericParameterInfo</a> (string dpe, dyn_string &amp;elements, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a7b387e44d56c64083be47eff19ea6453"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ec0763fea2a84ed2a22be7d874c48ef"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a6ec0763fea2a84ed2a22be7d874c48ef">fwCaV_genericDpeVarName</a> (string dpe)</td></tr>
<tr class="separator:a6ec0763fea2a84ed2a22be7d874c48ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71f427c25306ad1b19e059b38e8846f2"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a71f427c25306ad1b19e059b38e8846f2">fwCaV_genericDpeDescription</a> (string dpe)</td></tr>
<tr class="separator:a71f427c25306ad1b19e059b38e8846f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae010b943765871cd374527108cdb2df"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#aae010b943765871cd374527108cdb2df">fwCaV_genericDpeUserData</a> (string dpe)</td></tr>
<tr class="separator:aae010b943765871cd374527108cdb2df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad507817712aae685c367344ea0d875bb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#ad507817712aae685c367344ea0d875bb">fwCaV_registerWidgetType</a> (string name, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ad507817712aae685c367344ea0d875bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a887b71cb83449f1b6d7e339ece6fbdaf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a887b71cb83449f1b6d7e339ece6fbdaf">fwCaV_unregisterWidgetType</a> (string name, dyn_string &amp;exceptionInfo, bool cascade=false)</td></tr>
<tr class="separator:a887b71cb83449f1b6d7e339ece6fbdaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad583228ed23ce01743269839cf064f84"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#ad583228ed23ce01743269839cf064f84">fwCaV_listWidgetTypes</a> (dyn_string &amp;names, bool stripSystemName=true)</td></tr>
<tr class="separator:ad583228ed23ce01743269839cf064f84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0d90107ecbffc7bce29d3c9004053ad"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#ae0d90107ecbffc7bce29d3c9004053ad">fwCaV_getWidgetTypeDetails</a> (string name, dyn_dyn_string &amp;parameters, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ae0d90107ecbffc7bce29d3c9004053ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9edaf209b21fc9210a2272c06b7a4ef"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#ac9edaf209b21fc9210a2272c06b7a4ef">fwCaV_setWidgetTypeDetails</a> (string name, dyn_dyn_string parameters, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ac9edaf209b21fc9210a2272c06b7a4ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f015fbdf3e1e0d5e4f49bcff44b4a69"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a2f015fbdf3e1e0d5e4f49bcff44b4a69">fwCaV_listSynopticsPanelWidgets</a> (string panelname, dyn_string &amp;list, dyn_string &amp;exceptionInfo, bool stripSystemName=true)</td></tr>
<tr class="separator:a2f015fbdf3e1e0d5e4f49bcff44b4a69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab105f5e1a7b1949ddfa44eb6454b7f0c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#ab105f5e1a7b1949ddfa44eb6454b7f0c">fwCaV_listStrippedSynopticsPanelWidgets</a> (string panelname, dyn_string &amp;list, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ab105f5e1a7b1949ddfa44eb6454b7f0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac32521e39f0ee3ecbb3294717c609dab"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#ac32521e39f0ee3ecbb3294717c609dab">fwCaV_registerSynopticsPanel</a> (string name, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ac32521e39f0ee3ecbb3294717c609dab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9dc64a8c972a4dd9c95a5d12ccb83993"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a9dc64a8c972a4dd9c95a5d12ccb83993">fwCaV_unregisterSynopticsPanel</a> (string name, dyn_string &amp;exceptionInfo, bool cascade=true)</td></tr>
<tr class="separator:a9dc64a8c972a4dd9c95a5d12ccb83993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a896f1942f4c8cf4d04c53f1aa2aa9db1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a896f1942f4c8cf4d04c53f1aa2aa9db1">fwCaV_listSynopticsPanels</a> (dyn_string &amp;list, string searchSystem=&quot;&quot;)</td></tr>
<tr class="separator:a896f1942f4c8cf4d04c53f1aa2aa9db1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bf03ad4d9c6e69fdcfac326bb5e73dc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a8bf03ad4d9c6e69fdcfac326bb5e73dc">fwCaV_getSynopticsPanelDetails</a> (string name, dyn_string &amp;parameters, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a8bf03ad4d9c6e69fdcfac326bb5e73dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9249acc124af0c4f59e204404e42e3f0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a9249acc124af0c4f59e204404e42e3f0">fwCaV_setSynopticsPanelDetails</a> (string name, dyn_string parameters, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a9249acc124af0c4f59e204404e42e3f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8369194005e664c26befb61bc3736321"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a8369194005e664c26befb61bc3736321">fwCaV_createWidgetInstance</a> (string bitmapName, string instanceName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a8369194005e664c26befb61bc3736321"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef994160f2250b737c38b7feda97fcb6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#aef994160f2250b737c38b7feda97fcb6">fwCaV_deleteWidgetInstance</a> (string bitmapName, string instanceName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aef994160f2250b737c38b7feda97fcb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87c064223a4e70beba337c5addccb7da"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a87c064223a4e70beba337c5addccb7da">fwCaV_getWidgetInstanceDetails</a> (string bitmapName, string instanceName, dyn_anytype &amp;parameters, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a87c064223a4e70beba337c5addccb7da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae50246e41532b07d9333ca179cdafd6d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#ae50246e41532b07d9333ca179cdafd6d">fwCaV_setWidgetInstanceDetails</a> (string bitmapName, string instanceName, dyn_anytype parameters, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ae50246e41532b07d9333ca179cdafd6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a506f0d767bb439cb8d01887d4d946ed8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a506f0d767bb439cb8d01887d4d946ed8">fwCaV_registerPlot</a> (string name, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a506f0d767bb439cb8d01887d4d946ed8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58dbc9a393b7450372ba7dd599a9d3be"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a58dbc9a393b7450372ba7dd599a9d3be">fwCaV_deletePlot</a> (string plotName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a58dbc9a393b7450372ba7dd599a9d3be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c96d40ce39a6446eb08972a0224ced7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a1c96d40ce39a6446eb08972a0224ced7">fwCaV_listPlots</a> (dyn_string &amp;list, bool stripSystemName=true)</td></tr>
<tr class="separator:a1c96d40ce39a6446eb08972a0224ced7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1d677b5985e7f88667c0b05b3da3769"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#ae1d677b5985e7f88667c0b05b3da3769">fwCaV_getPlotInstanceDetails</a> (string plotName, dyn_string &amp;curves, bool &amp;visible, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ae1d677b5985e7f88667c0b05b3da3769"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a87e98550aaa0185c861463099161de"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a7a87e98550aaa0185c861463099161de">fwCaV_setPlotInstanceDetails</a> (string plotName, dyn_string curves, bool visible, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a7a87e98550aaa0185c861463099161de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af78475173d2880a1eb23f40131ce5de4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#af78475173d2880a1eb23f40131ce5de4">_fwCaV_plotMenu</a> (string dpe)</td></tr>
<tr class="separator:af78475173d2880a1eb23f40131ce5de4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a462de0986430b5a74b2d9bdde93c923a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a462de0986430b5a74b2d9bdde93c923a">__fwCaV_obtainCurveNumber</a> (string plotDp, string dpe)</td></tr>
<tr class="separator:a462de0986430b5a74b2d9bdde93c923a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa87489899693b0d8e243a3f39c6617bb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#aa87489899693b0d8e243a3f39c6617bb">__fwCaV_plotMenuEntry</a> (dyn_string &amp;menu, string label, int value, bool enabled=true)</td></tr>
<tr class="separator:aa87489899693b0d8e243a3f39c6617bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2610fd02b0f1b761323cffbb8f1eea65"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a2610fd02b0f1b761323cffbb8f1eea65">fwCaV_isTimeoutActive</a> (string dp, int &amp;status, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a2610fd02b0f1b761323cffbb8f1eea65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97bb9dde961aaa8230b6fb9dd20e3181"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a97bb9dde961aaa8230b6fb9dd20e3181">isDriverRunning</a> (dyn_int dui, int driverNum)</td></tr>
<tr class="separator:a97bb9dde961aaa8230b6fb9dd20e3181"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c243a647ba6f12b94163eb4156d78d7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a7c243a647ba6f12b94163eb4156d78d7">fwCaV_connectCellBackColToValueStatus</a> (dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a7c243a647ba6f12b94163eb4156d78d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab519557708721880a368f833cb3f9076"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#ab519557708721880a368f833cb3f9076">_fwCaV_calculateColourWithAlertCBValue</a> (string dpe1, string alertColour, string dpe2, bool alarmActive, string dpe3, bool dataInvalid, string dpe4, string valText)</td></tr>
<tr class="separator:ab519557708721880a368f833cb3f9076"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34f63ce6600264d379fe7bd74ffb9c80"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaV_8ctl.html#a34f63ce6600264d379fe7bd74ffb9c80">_fwCaV_calculateColourWithoutAlertCBValue</a> (string dpe1, bool dataInvalid, string dpe2, string valText)</td></tr>
<tr class="separator:a34f63ce6600264d379fe7bd74ffb9c80"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library contains functions and constants needed by the fwCaV -</p>
<ul>
<li>the Cooling and Ventilation</li>
</ul>
<dl class="section user"><dt>Creation Date</dt><dd>24/06/2004</dd></dl>
<dl class="section user"><dt>Modification History</dt><dd>05/10/2011 Daniel Davids - ove of fwColourTable functions into fwCaV</dd></dl>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Milosz Marian Hulboj (IT-CO) </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a7b387e44d56c64083be47eff19ea6453"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_genericParameterInfo </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>elements</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function used for obtaining information about a dpe in the generic DPT
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>datapoint element about which data will be returned </td></tr>
    <tr><td class="paramname">elements</td><td>Structure with data corresponding to provided dpe: <ul>
<li>
elements[fwCaV_genericDpe] - datapoint element suffix (without dpName) </li>
<li>
elements[fwCaV_genericVarName] - element name (usually variable name from the SCY) </li>
<li>
elements[fwCaV_genericDescription] - element description </li>
<li>
elements[fwCaV_genericUserData] - element specific UserData </li>
</ul>
</td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6ec0763fea2a84ed2a22be7d874c48ef"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string fwCaV_genericDpeVarName </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function used for obtaining variable name of a dpe in the generic DPT
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>datapoint element about which data will be returned </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>parameter name if exists. empty string otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="a71f427c25306ad1b19e059b38e8846f2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string fwCaV_genericDpeDescription </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function used for obtaining description of a dpe in the generic DPT
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd></dd></dl>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000001">Reviewed:</a></b></dt><dd>2018-08-16 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-API">API</a> VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>datapoint element about which data will be returned </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>parameter description if exists. empty string otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="aae010b943765871cd374527108cdb2df"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string fwCaV_genericDpeUserData </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function used for obtaining UserData about a dpe in the generic DPT
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd></dd></dl>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000002">Reviewed:</a></b></dt><dd>2018-08-16 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-API">API</a> VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>datapoint element about which data will be returned </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>parameter UserData if exists. empty string otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="ad507817712aae685c367344ea0d875bb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_registerWidgetType </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function used for registering a new widget type for use with Synoptics Bitmap facility
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name of the widget to register </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a887b71cb83449f1b6d7e339ece6fbdaf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_unregisterWidgetType </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>cascade</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function used for unregistering a widget type with Synoptics Bitmap facility
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name of the widget to unregister </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
    <tr><td class="paramname">cascade</td><td>whether to remove all the instances of this widget type (default = false) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad583228ed23ce01743269839cf064f84"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_listWidgetTypes </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>names</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>stripSystemName</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function used for listing all registered widget types for use with Synoptics Bitmap facility
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">names</td><td>names of the widget types </td></tr>
    <tr><td class="paramname">stripSystemName</td><td>whether to strip the system name from the DPs (default = true) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae0d90107ecbffc7bce29d3c9004053ad"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_getWidgetTypeDetails </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_string &amp;&#160;</td>
          <td class="paramname"><em>parameters</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">For a given Widget Type registered with Synoptics Bitmap facility returns
 the structure with all the parameters.
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name of the widget </td></tr>
    <tr><td class="paramname">parameters</td><td>structure with data about the given widget type <ul>
<li>
parameters[fwCaV_WidgetDefinition_Filename] - filename of the panel </li>
<li>
parameters[fwCaV_WidgetDefinition_Description] - description of the widget </li>
<li>
parameters[fwCaV_WidgetDefinition_DpeDescriptions] - dyn_string with descriptions what a given dpe passed to the widget means </li>
<li>
parameters[fwCaV_WidgetDefinition_ExtraParametersDescription] - dyn_string with descriptions what a given extra parameter passed to the widget means </li>
</ul>
</td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac9edaf209b21fc9210a2272c06b7a4ef"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_setWidgetTypeDetails </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_string&#160;</td>
          <td class="paramname"><em>parameters</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">For a given Widget Type registered with Synoptics Bitmap facility sets the parameters
 which are passed in a structure
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name of the widget </td></tr>
    <tr><td class="paramname">parameters</td><td>structure with data about the given widget type <ul>
<li>
parameters[fwCaV_WidgetDefinition_Filename] - filename of the panel </li>
<li>
parameters[fwCaV_WidgetDefinition_Description] - description of the widget </li>
<li>
parameters[fwCaV_WidgetDefinition_DpeDescriptions] - dyn_string with descriptions what a given dpe passed to the widget means </li>
<li>
parameters[fwCaV_WidgetDefinition_ExtraParametersDescription] - dyn_string with descriptions what a given extra parameter passed to the widget means </li>
</ul>
</td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2f015fbdf3e1e0d5e4f49bcff44b4a69"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_listSynopticsPanelWidgets </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>panelname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>list</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>stripSystemName</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">For a given Synoptics Bitmap panel, returns a list of all widgets belonging to that panel.
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">panelname</td><td>name of the Synoptics Bitmap dp </td></tr>
    <tr><td class="paramname">list</td><td>list of widgets belonging to given Synoptics Panel </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
    <tr><td class="paramname">stripSystemName</td><td>whether to strip the system name from the DPs (default = true) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab105f5e1a7b1949ddfa44eb6454b7f0c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_listStrippedSynopticsPanelWidgets </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>panelname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>list</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Variation of fwCaV_listSynopticsPanelWidgets. Returns only the widget instances
names (without bitmapDp+"/" prefix)
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">panelname</td><td>name of the Synoptics Bitmap dp </td></tr>
    <tr><td class="paramname">list</td><td>list of widgets belonging to given Synoptics Panel (only widget names, not dp names) </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac32521e39f0ee3ecbb3294717c609dab"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_registerSynopticsPanel </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function used for registering a new Synoptics Bitmap panel
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name of panel to register </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9dc64a8c972a4dd9c95a5d12ccb83993"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_unregisterSynopticsPanel </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>cascade</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function used for deleting the Synoptics Bitmap DP
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name of the SynopticsBitmap DP to remove </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
    <tr><td class="paramname">cascade</td><td>whether to remove all the widgets of that Synoptics Panel (default = true) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a896f1942f4c8cf4d04c53f1aa2aa9db1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_listSynopticsPanels </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>list</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>searchSystem</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Returns the list of all the synoptics panels.
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">list</td><td>list of Synoptics Panels </td></tr>
    <tr><td class="paramname">searchSystem</td><td>the system to search on - must include : (default = local system) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8bf03ad4d9c6e69fdcfac326bb5e73dc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_getSynopticsPanelDetails </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>parameters</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">For a given Synoptics Bitmap facility returns
 the structure with all the parameters.
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name of the Synoptics Bitmap DP </td></tr>
    <tr><td class="paramname">parameters</td><td>structure with data about the given Synoptics Bitmap <ul>
<li>
parameters[fwCaV_SynopticsBitmap_Image] - path to the bitmap file (image) </li>
<li>
parameters[fwCaV_SynopticsBitmap_Description] - description of the Synoptics Bitmap </li>
<li>
parameters[fwCaV_SynopticsBitmap_Size_x] - x size (in pixels) </li>
<li>
parameters[fwCaV_SynopticsBitmap_Size_y] - y size (in pixels) </li>
<li>
parameters[fwCaV_SynopticsBitmap_PlotType] - size for the plots </li>
</ul>
</td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9249acc124af0c4f59e204404e42e3f0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_setSynopticsPanelDetails </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>parameters</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">For a given Synoptics Bitmap facility sets the all the parameters according to data passed in the structure
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name of the Synoptics Bitmap DP </td></tr>
    <tr><td class="paramname">parameters</td><td>structure with data about the given Synoptics Bitmap <ul>
<li>
parameters[fwCaV_SynopticsBitmap_Image] - path to the bitmap file (image) </li>
<li>
parameters[fwCaV_SynopticsBitmap_Description] - description of the Synoptics Bitmap </li>
<li>
parameters[fwCaV_SynopticsBitmap_Size_x] - x size (in pixels) </li>
<li>
parameters[fwCaV_SynopticsBitmap_Size_y] - y size (in pixels) </li>
<li>
parameters[fwCaV_SynopticsBitmap_PlotType] - size for the plots </li>
</ul>
</td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8369194005e664c26befb61bc3736321"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_createWidgetInstance </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>bitmapName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>instanceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function used for creating a new instance of given Widget Type in given
Synoptics Bitmap
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bitmapName</td><td>name of Synoptics Bitmap for which the widget instance is created </td></tr>
    <tr><td class="paramname">instanceName</td><td>name of widget instance </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aef994160f2250b737c38b7feda97fcb6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_deleteWidgetInstance </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>bitmapName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>instanceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function used for creating a new instance of given Widget Type in given
Synoptics Bitmap
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bitmapName</td><td>name of Synoptics Bitmap for which the widget instance is created </td></tr>
    <tr><td class="paramname">instanceName</td><td>name of widget </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a87c064223a4e70beba337c5addccb7da"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_getWidgetInstanceDetails </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>bitmapName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>instanceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>parameters</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function returns a structure with information about the given Widget Instance 
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bitmapName</td><td>name of Synoptics Bitmap for which the widget instance is created </td></tr>
    <tr><td class="paramname">instanceName</td><td>name of widget instance </td></tr>
    <tr><td class="paramname">parameters</td><td>structure with data about the given Widget Instance <ul>
<li>
parameters[fwCaV_SynopticsBitmap_Type] - Widget Type </li>
<li>
parameters[fwCaV_WidgetInstance_DeviceDp] - Which Framework the widget is connecting to </li>
<li>
parameters[fwCaV_WidgetInstance_Properties] - To which properties of that Device </li>
<li>
parameters[fwCaV_WidgetInstance_ExtraParameters] - extra parameters passed to widget refpanel </li>
<li>
parameters[fwCaV_WidgetInstance_Visible] - whether the Widget Instance is displayed </li>
<li>
parameters[fwCaV_WidgetInstance_Position_x] - x relative position (in percents) </li>
<li>
parameters[fwCaV_WidgetInstance_Position_y] - y relative position (in percents) </li>
</ul>
</td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae50246e41532b07d9333ca179cdafd6d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_setWidgetInstanceDetails </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>bitmapName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>instanceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype&#160;</td>
          <td class="paramname"><em>parameters</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function sets information about the given Widget Instance according to the data in structure
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bitmapName</td><td>name of Synoptics Bitmap for which the widget instance is created </td></tr>
    <tr><td class="paramname">instanceName</td><td>name of widget instance </td></tr>
    <tr><td class="paramname">parameters</td><td>structure with data about the given Widget Instance <ul>
<li>
parameters[fwCaV_SynopticsBitmap_Type] - Widget Type </li>
<li>
parameters[fwCaV_WidgetInstance_deviceDp] - Which Framework the widget is connecting to </li>
<li>
parameters[fwCaV_WidgetInstance_properties] - To which properties of that Device </li>
<li>
parameters[fwCaV_WidgetInstance_extraParameters] - extra parameters passed to widget refpanel </li>
<li>
parameters[fwCaV_WidgetInstance_visible] - whether the Widget Instance is displayed </li>
<li>
parameters[fwCaV_WidgetInstance_Position_x] - x relative position (in percents) </li>
<li>
parameters[fwCaV_WidgetInstance_Position_y] - y relative position (in percents) </li>
</ul>
</td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a506f0d767bb439cb8d01887d4d946ed8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_registerPlot </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function used for registering a new plot
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name of plot to register </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a58dbc9a393b7450372ba7dd599a9d3be"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_deletePlot </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>plotName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function used for deleting a plot
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">plotName</td><td>name of plot </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1c96d40ce39a6446eb08972a0224ced7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_listPlots </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>list</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>stripSystemName</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Returns the list of all plots.
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">list</td><td>list of Plots </td></tr>
    <tr><td class="paramname">stripSystemName</td><td>whether to strip the system name from the DPs (default = true) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae1d677b5985e7f88667c0b05b3da3769"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_getPlotInstanceDetails </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>plotName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>curves</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>visible</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function returns a structure with information about the given Plot Instance 
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">plotName</td><td>name of plot instance </td></tr>
    <tr><td class="paramname">curves</td><td>structure with data of the curves about the given Plot Instance </td></tr>
    <tr><td class="paramname">visible</td><td>whether the Plot is displayed </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7a87e98550aaa0185c861463099161de"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_setPlotInstanceDetails </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>plotName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>curves</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>visible</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function sets information about the given Plot Instance according to the data in structure
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">plotName</td><td>name of plot instance </td></tr>
    <tr><td class="paramname">curves</td><td>structure with data of the curves about the given Plot Instance </td></tr>
    <tr><td class="paramname">visible</td><td>whether the Plot is displayed </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af78475173d2880a1eb23f40131ce5de4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwCaV_plotMenu </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function displaying the "right-click" menu for the synoptics bitmap
with various plotting opitons.
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>- dpe element upon which the plot operations will be done </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a462de0986430b5a74b2d9bdde93c923a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int __fwCaV_obtainCurveNumber </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>plotDp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function checks if the given dpe is present as a curve in a certain plot
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">plotDp</td><td>- plot datapoint to be examined </td></tr>
    <tr><td class="paramname">dpe</td><td>- dpe to look for </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the curve number or -1 if not found </dd></dl>

</div>
</div>
<a class="anchor" id="aa87489899693b0d8e243a3f39c6617bb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__fwCaV_plotMenuEntry </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>menu</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Helper function for constructing the plot menu
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">menu</td><td>- dyn_string containing the menu parameters to which new data shall be appended </td></tr>
    <tr><td class="paramname">label</td><td>- the label of the new entry </td></tr>
    <tr><td class="paramname">value</td><td>- return value of the label (returned when the label is clicked) </td></tr>
    <tr><td class="paramname">enabled</td><td>- whether the entry is enabled (true by default) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2610fd02b0f1b761323cffbb8f1eea65"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_isTimeoutActive </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function for querying the timeout status of the PLC
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd></dd></dl>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000003">Reviewed:</a></b></dt><dd>2018-08-16 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-API">API</a> VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dp</td><td>- CaV plant/area/group datapoint </td></tr>
    <tr><td class="paramname">status</td><td>- return code: 1 - timeout active; 0 - timeout inactive; -1 error </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>- error handling </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a97bb9dde961aaa8230b6fb9dd20e3181"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool isDriverRunning </td>
          <td>(</td>
          <td class="paramtype">dyn_int&#160;</td>
          <td class="paramname"><em>dui</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>driverNum</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function for checking if the MODBUS driver is running
</pre> <dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public </dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dui</td><td>- dyn string with the number of the managers which are running </td></tr>
    <tr><td class="paramname">driverNum</td><td>- number of the manager for the ModBus driver </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7c243a647ba6f12b94163eb4156d78d7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwCaV_connectCellBackColToValueStatus </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function controls the background colour of the cell of a table from within which the function was called. The colour is controlled by dpConnecting to the invalid bit of the given data point element, and if it exists, the alert active bit and the alert colour are also connected to. When the function is called, and any time when the alert state or invalid state changes, a function is called which evaluates the current state, selects the relevant colour and sets the background colour of the graphical item.</p>
<dl class="section user"><dt>Modification History</dt><dd>29/03/01 Oliver Holme Added functionality for connecting to dpes of type STRUCTURE This makes it possible to connect to the state of a summary alert 05/10/11 Daniel Davids Move of fwColourTable into here and adapted...</dd></dl>
<dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are placed in here. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab519557708721880a368f833cb3f9076"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwCaV_calculateColourWithAlertCBValue </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>alertColour</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>alarmActive</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dataInvalid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe4</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>valText</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions takes the given states of a data point element and calls a function which calcultes the relevant colour. The function then set the background colour of graphical item "this" to that colour.</p>
<dl class="section user"><dt>Modification History</dt><dd>05/10/11 Daniel Davids Move of fwColourTable into here and adapted...</dd></dl>
<dl class="section user"><dt>Constraints</dt><dd>This function is designed as a 'work' function and should only be used by giving it as the function name in a dpConnect statement</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe1</td><td>data point element </td></tr>
    <tr><td class="paramname">alertColour</td><td>a string containing the name of the current alert colour </td></tr>
    <tr><td class="paramname">dpe2</td><td>data point element </td></tr>
    <tr><td class="paramname">alarmActive</td><td>a bit to represent if alert handling is active or not (TRUE = active, FALSE = inactive) </td></tr>
    <tr><td class="paramname">dpe3</td><td>data point element </td></tr>
    <tr><td class="paramname">dataInvalid</td><td>a bit to represent if data is invalid or not (TRUE = invalid, FALSE = valid) </td></tr>
    <tr><td class="paramname">dpe4</td><td>data point element with value to display in the cell </td></tr>
    <tr><td class="paramname">valText</td><td>value to display in the cell </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a34f63ce6600264d379fe7bd74ffb9c80"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwCaV_calculateColourWithoutAlertCBValue </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dataInvalid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>valText</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions takes the given states of a data point element and calls a function which calcultes the relevant colour. The function then set the background colour of graphical item "this" to that colour.</p>
<dl class="section user"><dt>Modification History</dt><dd>05/10/11 Daniel Davids Move of fwColourTable into here and adapted...</dd></dl>
<dl class="section user"><dt>Constraints</dt><dd>This function is designed as a 'work' function and should only be used by giving it as the function name in a dpConnect statement</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe1</td><td>data point element with quality of the data </td></tr>
    <tr><td class="paramname">dataInvalid</td><td>a bit to represent if data is invalid or not (TRUE = invalid, FALSE = valid) </td></tr>
    <tr><td class="paramname">dpe2</td><td>data point element with value to display in the cell </td></tr>
    <tr><td class="paramname">valText</td><td>value to display in the cell </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwCaV_8ctl.html">fwCaV.ctl</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.5 </li>
  </ul>
</div>
</body>
</html>
